processSeed {arf3DS4} | R Documentation

## Process a model using a seed number of regions

### Description

processSeed runs a sequence of models with different starting values to obtain a stable solution. It starts with as simple model with rectangular starts, subsequently it runs a full model given the estimates of the simple model. It then prunes the full model, discarding the regions with bad gradients and/or bounded parameters.

### Usage

    processSeed(modelname='defaultmodel', seedreg, subject='',
     condition='', startmethod=c('default','simple'), grad=NULL,
     bound=NULL, pval=NULL, options=new('options'), pr=T,
     printlevel=0, try.silen=T, overwrite=T, experiment=NULL)

### Arguments

`modelname` | Name to give the pruned models in the sequence.
`seedreg` | Number of regions to fit at sequence start (seed number).
`subject` | Name of the subject.
`condition` | Name of the condition.
`startmethod` | Use simple model as start or the default (rectangular method).
`grad` | Gradient check limits, absolute higher values are pruned.
`bound` | Threshold to check if a parameter is on a bound. When NULL, check is suppressed.
`pval` | Prune regions with non-significant Wald statistics higher than `pval`.
`options` | Options object.
`pr` | Output to screen?
`printlevel` | Number indicating the level of output of the minimization procedure.
`try.silen` | Should errors be printed when they occur or only passed to the `warnings` slot.
`overwrite` | Overwrite the model if a model with the same name already exists?
`experiment` | Optional experiment object.

### Value

Returns the best model (class `model`)

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### See Also

`model`, `newModel`, `fitModel`, `pruneModel`, `options`, `experiment`

[Package arf3DS4 version 2.5-10 Index]